Перейти до вмісту
AstroWay/api v2.95.1 · docs
усі системи в нормі

Glossary download

GET
/translate/glossary/{lang}
request.sh
curl -X GET https://api.astroway.info/v1/translate/glossary/{lang} \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"

Download the astrology glossary for a target language. Query: ?source= (default en), ?domain= (default generic). Free (0 credits).

Successful calculation

Media type application/json
object
ok
boolean
data
object
source_lang
string
nullable
target_lang
string
nullable
domain
string
nullable
entries
Array<object>
nullable
object
source_term
string
nullable
target_term
string
nullable
notes
object
count
number
nullable
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?